Mirror method example
Sub Mirror_Example()
Dim myLWP As AcadLWPolyline
Dim myPoints(0 To 5) As Double
myPoints(0) = 0: myPoints(1) = 0
myPoints(2) = 3: myPoints(3) = 0
myPoints(4) = 3: myPoints(5) = 4
Set myLWP = ThisDrawing.ModelSpace.AddLightWeightPolyline(myPoints)
myLWP.Closed = True
myLWP.Update
ThisDrawing.Application.ZoomExtents
Dim point1(0 To 2) As Double
Dim point2(0 To 2) As Double
point1(0) = 0: point1(1) = 5: point1(2) = 0
point2(0) = 5: point2(1) = 5: point2(2) = 0
MsgBox "Mirror the polyline.", , "Mirror Example"
Dim mirrorObj As AcadLWPolyline
Set mirrorObj = myLWP.Mirror(point1, point2)
ZoomAll
MsgBox "Mirror completed.", , "Mirror Example"
End Sub
© Bricsys NV. All rights reserved. |